Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoFitContinue< EOT > Class Template Reference

Fitness continuation:. More...

`#include <eoFitContinue.h>`

Inheritance diagram for eoFitContinue< EOT >:

List of all members.

## Public Types
typedef EOT::Fitness | FitnessType
| Define Fitness.
## Public Member Functions
| eoFitContinue (const FitnessType _maximum)
| Ctor.
virtual bool | operator() (const eoPop< EOT > &_pop)
| Returns false when a fitness criterium is reached.
virtual std::string | className (void) const
## Private Attributes
FitnessType | maximum

## Detailed Description

### template<class EOT>
class eoFitContinue< EOT >

Fitness continuation:.

Continues until the maximum fitness level is reached.

Definition at line 36 of file eoFitContinue.h.

## Member Function Documentation

template<class EOT>
virtual bool eoFitContinue< EOT >::operator() | ( | const eoPop< EOT > & | _pop | ) | `[inline, virtual]`

| Returns false when a fitness criterium is reached. Assumes pop is not sorted! Implements eoUF< const eoPop< EOT > &, bool >. Definition at line 48 of file eoFitContinue.h. References eoPop< EOT >::nth_element_fitness().

The documentation for this class was generated from the following file:

- eoFitContinue.h